## kpipewire 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(KPipewire)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(KF5_MIN_VERSION "5.102.0")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)

find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS DBus Quick WaylandClient)
find_package(KF5 REQUIRED COMPONENTS Wayland I18n CoreAddons)
find_package(Wayland REQUIRED COMPONENTS Client)

find_package(PlasmaWaylandProtocols REQUIRED)
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(QtWaylandScanner REQUIRED)
else()
    find_package(EGL REQUIRED)
endif()

pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3 REQUIRED)

# ffmpeg, for recording
pkg_check_modules(AVCodec IMPORTED_TARGET libavcodec)
pkg_check_modules(AVUtil IMPORTED_TARGET libavutil)
pkg_check_modules(AVFormat IMPORTED_TARGET libavformat)
pkg_check_modules(GBM IMPORTED_TARGET gbm)
pkg_check_modules(SWScale IMPORTED_TARGET libswscale)
find_package(epoxy 1.3 REQUIRED)
find_package(Libdrm 2.4.62)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# Prevent EGL headers from including platform headers, in particular Xlib.h.
add_definitions(-DMESA_EGL_NO_X11_HEADERS)
add_definitions(-DEGL_NO_X11)
add_definitions(-DEGL_NO_PLATFORM_SPECIFIC_TYPES)

add_subdirectory(src)
if (BUILD_TESTING)
   add_subdirectory(tests)
endif()

ki18n_install(po)

## kpipewire 5.27.4

=== debian/changelog ===
kpipewire (5.27.4-0xneon+22.04+jammy+release+build16) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 13:49:52 +0000

kpipewire (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:38:42 +0000

kpipewire (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:20:23 +0000

kpipewire (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:12:02 +0000

kpipewire (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:41:28 +0000

kpipewire (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:55:45 +0000

kpipewire (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:53:36 +0000

kpipewire (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:52:28 +0000

kpipewire (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:30:25 +0000

kpipewire (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:07:38 +0000

kpipewire (0.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:49:57 +0000

=== debian/control ===
Source: kpipewire
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libdrm-dev (>= 2.4.62~),
               libegl1-mesa-dev,
               libepoxy-dev (>= 1.3~),
               libgbm-dev,
               libkf5coreaddons-dev (>= 5.37.0~),
               libkf5i18n-dev (>= 5.37.0~),
               libkf5wayland-dev (>= 5.37.0~),
               libpipewire-0.3-dev,
               libqt5waylandclient5-dev,
               libswscale-dev,
               libwayland-dev,
               pkg-kde-tools,
               plasma-wayland-protocols,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtwayland5-dev-tools
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/kpipewire
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kpipewire.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kpipewire
Maintainer: Neon CI <neon@kde.org>

Package: libkpipewire-dev
Section: libdevel
Architecture: any
Depends: libkpipewire5 (= ${binary:Version}),
         libkpipewirerecord5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library development files.

Package: libkpipewire5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewire main library.

Package: libkpipewirerecord5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpipewire5 (<< 5.26.0)
Replaces: libkpipewire5 (<< 5.26.0)
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewirerecord library.

Package: qml-module-org-kde-pipewire
Architecture: any
Depends: libkpipewire5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the QtQuick module.

## kpipewire 5.27.5

=== debian/changelog ===
kpipewire (5.27.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:40 +0200

kpipewire (5.27.5-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 May 2023 07:43:09 +0200

kpipewire (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:26:05 +0200

kpipewire (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:17:25 +0100

kpipewire (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).
  * Update symbols from build for 5.27.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 18:45:16 +0100

kpipewire (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.27.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:36 +0100

kpipewire (5.26.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:52 +0100

kpipewire (5.26.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add new libkpipewiredmabuf5 library package.
  * Update symbols from build for 5.26.90.
  * Limit binary packages to linux-any architectures where PipeWire
    exists.
  * Replace libegl1-mesa-dev build dependency with libegl-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 01:37:10 +0100

kpipewire (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:22 +0100

kpipewire (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:59:28 +0100

kpipewire (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:42:23 +0100

kpipewire (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Nov 2022 23:06:09 +0100

kpipewire (5.26.0-2) unstable; urgency=medium

  * Team upload.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the manually specified pkgkde_symbolshelper addon for dh
  * Tighten the inter-library dependencies.
  * Add the configuration for the CI on salsa.
  * Explicitly add the gettext, and pkg-config build dependencies.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Nov 2022 09:25:00 +0100

kpipewire (5.26.0-1) unstable; urgency=medium

  [ Rik Mills ]
  * Initial release. (Closes: #1021573)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 00:39:13 +0200

=== debian/control ===
Source: kpipewire
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libdrm-dev (>= 2.4.62~),
               libegl-dev,
               libegl1-mesa-dev,
               libepoxy-dev (>= 1.3~),
               libgbm-dev,
               libkf5coreaddons-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5wayland-dev (>= 4:5.98.0~),
               libpipewire-0.3-dev,
               libqt5waylandclient5-dev,
               libswscale-dev,
               libwayland-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.9.0~),
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtwayland5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kpipewire
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
Rules-Requires-Root: no

Package: libkpipewire-dev
Section: libdevel
Architecture: linux-any
Depends: libkpipewire5 (= ${binary:Version}),
         libkpipewiredmabuf5 (= ${binary:Version}),
         libkpipewirerecord5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: KDE's Pipewire libraries - development files
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library development files.

Package: libkpipewire5
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewire5 library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewire main library.

Package: libkpipewiredmabuf5
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewiredmabuf5
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewiredmabuf library.

Package: libkpipewirerecord5
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewirerecord5
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewirerecord library.

Package: qml-module-org-kde-pipewire
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's Pipewire libraries - QML module
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the QtQuick module.

## kpipewire 5.27.7

=== debian/changelog ===
kpipewire (5.27.7-0ubuntu3) mantic; urgency=medium

  * Rebuild against new ffmpeg again.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Aug 2023 23:35:28 +0100

kpipewire (5.27.7-0ubuntu2) mantic; urgency=medium

  * Rebuild to migrate 5.27.7 stack.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Aug 2023 21:42:26 +0100

kpipewire (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:25 +0100

kpipewire (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:54 +0100

kpipewire (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:06 +0100

kpipewire (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:41 +0100

kpipewire (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:08 +0000

kpipewire (5.27.2-0ubuntu2) lunar; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 17:30:49 +0000

kpipewire (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:55 +0000

kpipewire (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:38 +0000

kpipewire (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libdrm-dev (>= 2.4.62~),
                libegl-dev,
-               libegl1-mesa-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
                libkf5coreaddons-dev (>= 5.98.0~),
@@ -34,8 +33,8 @@
                qtwayland5-dev-tools,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
 Rules-Requires-Root: no
 
 Package: libkpipewire-dev
@@ -53,7 +52,7 @@
 
 Package: libkpipewire5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE's Pipewire libraries - libkpipewire5 library
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -61,7 +60,7 @@
 
 Package: libkpipewiredmabuf5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE's Pipewire libraries - libkpipewiredmabuf5
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -69,7 +68,7 @@
 
 Package: libkpipewirerecord5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KDE's Pipewire libraries - libkpipewirerecord5
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -77,7 +76,8 @@
 
 Package: qml-module-org-kde-pipewire
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 5.27.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(KF5_MIN_VERSION "5.102.0")

=== tests/CMakeLists.txt ===
add_library(PipeWireScreencastingTest STATIC screencasting.cpp screencastingrequest.cpp)

qt_add_dbus_interface(
   SRCS
   org.freedesktop.portal.ScreenCast.xml
   xdp_dbus_screencast_interface
)

qt_add_dbus_interface(
   SRCS
   org.freedesktop.portal.RemoteDesktop.xml
   xdp_dbus_remotedesktop_interface
)

if (QT_MAJOR_VERSION EQUAL "5")
    ecm_add_qtwayland_client_protocol(PipeWireScreencastingTest
        PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml
        BASENAME zkde-screencast-unstable-v1
    )
else()
    qt6_generate_wayland_protocol_client_sources(PipeWireScreencastingTest FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml)
endif()

target_link_libraries(PipeWireScreencastingTest PUBLIC KF5::WaylandClient Wayland::Client Qt::DBus Qt::GuiPrivate KPipeWire Qt::WaylandClient)

add_executable(recordme main.cpp recordme.qrc PlasmaRecordMe.cpp)
target_link_libraries(recordme PipeWireScreencastingTest Qt::Quick)

add_executable(kpipewireheadlesstest HeadlessTest.cpp ${SRCS})
target_link_libraries(kpipewireheadlesstest PipeWireScreencastingTest KPipeWireDmaBuf)

#########

qt_add_dbus_interface(
   XDP_SRCS
   org.freedesktop.portal.ScreenCast.xml
   xdp_dbus_screencast_interface
)

add_executable(xdp-recordme xdp-main.cpp recordme.qrc ${XDP_SRCS} RecordMe.cpp)
target_link_libraries(xdp-recordme Qt::DBus Qt::Quick KPipeWire Qt::GuiPrivate Wayland::Client KF5::WaylandClient Qt::WaylandClient )

option(INSTALL_TESTS "The recordme test needs installing, disabled by default for convenience" OFF)
if(INSTALL_TESTS)
   configure_file(org.kde.recordme.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.recordme.desktop @ONLY)
   configure_file(org.kde.kpipewireheadlesstest.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kpipewireheadlesstest.desktop @ONLY)

   install(TARGETS recordme kpipewireheadlesstest DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.recordme.desktop DESTINATION ${KDE_INSTALL_APPDIR})
   install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kpipewireheadlesstest.desktop DESTINATION ${KDE_INSTALL_APPDIR})
   install(TARGETS xdp-recordme DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== debian/changelog ===
kpipewire (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:20 +0200

kpipewire (5.27.7-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the libpipewire-0.3-dev dependency in libkpipewire-dev, as the kpipewire
    headers include pipewire headers.

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:52:16 +0200

## kpipewire 5.27.10

=== debian/changelog ===
kpipewire (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:15 +0000

kpipewire (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:26 +0100

kpipewire (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:14 +0100

kpipewire (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 12:36:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libdrm-dev (>= 2.4.62~),
                libegl-dev,
+               libegl1-mesa-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
                libkf5coreaddons-dev (>= 5.98.0~),
@@ -43,6 +45,7 @@
 Depends: libkpipewire5 (= ${binary:Version}),
          libkpipewiredmabuf5 (= ${binary:Version}),
          libkpipewirerecord5 (= ${binary:Version}),
+         libpipewire-0.3-dev,
          qtbase5-dev,
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
@@ -52,7 +55,7 @@
 
 Package: libkpipewire5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - libkpipewire5 library
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -60,7 +63,7 @@
 
 Package: libkpipewiredmabuf5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - libkpipewiredmabuf5
  Components for rendering and recording PipeWire streams using Qt.
  .
@@ -68,7 +71,7 @@
 
 Package: libkpipewirerecord5
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - libkpipewirerecord5
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 5.27.11

=== src/CMakeLists.txt ===
include(ECMGenerateExportHeader)
include(ECMQmlModule)
include(ECMGenerateHeaders)
include(ECMSetupVersion)

add_definitions(-DTRANSLATION_DOMAIN=\"kpipewire5\")

add_library(KPipeWire)

ecm_qt_declare_logging_category(kpipewire_SRCS
                            HEADER logging.h
                            IDENTIFIER PIPEWIRE_LOGGING
                            CATEGORY_NAME kpipewire_logging
                            DESCRIPTION "PipeWire components for KDE"
                            EXPORT KPipeWire)
ecm_qt_declare_logging_category(kpipewiredmabuf_SRCS
                            HEADER logging_dmabuf.h
                            IDENTIFIER PIPEWIREDMABUF_LOGGING
                            CATEGORY_NAME kpipewire_dmabuf_logging
                            DESCRIPTION "PipeWire and DMABuf components for KDE"
                            EXPORT KPipeWireDmaBuf)
ecm_qt_declare_logging_category(kpipewirerecord_SRCS
                            HEADER logging_record.h
                            IDENTIFIER PIPEWIRERECORD_LOGGING
                            CATEGORY_NAME kpipewire_record_logging
                            DESCRIPTION "PipeWire and FFmpeg components for KDE"
                            EXPORT KPipeWireRecord)
ecm_qt_install_logging_categories(
    EXPORT KPipeWire
    FILE kpipewire.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

ecm_qt_install_logging_categories(
    EXPORT KPipeWireRecord
    FILE kpipewirerecord.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

target_sources(KPipeWire PRIVATE
    pipewirecore.cpp
    pipewiresourceitem.cpp
    pipewiresourcestream.cpp
    glhelpers.cpp
    pwhelpers.cpp
    ${kpipewire_SRCS}
)

target_link_libraries(KPipeWire PRIVATE Qt::Quick Qt::GuiPrivate KF5::I18n
    KF5::CoreAddons PkgConfig::PipeWire epoxy::epoxy PkgConfig::GBM)

target_compile_definitions(KPipeWire INTERFACE -DKPW_WITH_SOURCESIZE=1)

if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(KPipeWire PRIVATE Qt5::Gui_EGL)
    if (${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GLESv2")
        target_link_libraries(KPipeWire PRIVATE Qt5::Gui_GLESv2)
    else()
        target_link_libraries(KPipeWire PRIVATE Qt5::Gui_GL)
    endif()
else()
    target_link_libraries(KPipeWire PRIVATE EGL::EGL)
endif()

target_include_directories(KPipeWire PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                     PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>" ${PipeWire_INCLUDE_DIRS}
                                     INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPipeWire>")
set_target_properties(KPipeWire PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

ecm_generate_export_header(KPipeWire
    BASE_NAME KPipeWire
    VERSION ${PROJECT_VERSION}
)

ecm_generate_headers(KPipeWire_HEADERS
  HEADER_NAMES
  PipeWireSourceStream
  PipeWireSourceItem
  REQUIRED_HEADERS KPipeWire_HEADERS
)

install(FILES
  ${KPipeWire_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewire_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

add_library(KPipeWireDmaBuf dmabufhandler.cpp ${kpipewiredmabuf_SRCS})
target_link_libraries(KPipeWireDmaBuf PUBLIC KPipeWire
    PRIVATE Qt::Core Qt::Gui PkgConfig::GBM
    epoxy::epoxy Libdrm::Libdrm Qt::GuiPrivate
)

set_target_properties(KPipeWireDmaBuf PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

ecm_generate_export_header(KPipeWireDmaBuf
    BASE_NAME KPipeWireDmaBuf
    VERSION ${PROJECT_VERSION}
)

ecm_generate_headers(KPipeWireDmaBuf_HEADERS
  HEADER_NAMES
    DmaBufHandler
  REQUIRED_HEADERS KPipeWireDmaBuf_HEADERS
)

install(FILES
  ${KPipeWireDmaBuf_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewiredmabuf_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

add_library(KPipeWireRecord pipewirerecord.cpp ${kpipewirerecord_SRCS})
target_link_libraries(KPipeWireRecord PUBLIC KPipeWire
    PRIVATE Qt::Core Qt::Gui KF5::CoreAddons KPipeWireDmaBuf
    PkgConfig::AVCodec PkgConfig::AVUtil PkgConfig::AVFormat PkgConfig::GBM PkgConfig::SWScale
    epoxy::epoxy Libdrm::Libdrm Qt::GuiPrivate
)

target_compile_definitions(KPipeWireRecord INTERFACE -DKPW_WITH_SUGGESTED=1)

ecm_generate_headers(KPipeWireRecord_HEADERS
  HEADER_NAMES
  PipeWireRecord
  REQUIRED_HEADERS KPipeWireRecord_HEADERS
)
set_target_properties(KPipeWireRecord PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

install(FILES
  ${KPipeWireRecord_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

install(TARGETS KPipeWire KPipeWireRecord KPipeWireDmaBuf EXPORT KPipeWireTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_setup_version(PROJECT VARIABLE_PREFIX KPIPEWIRE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpipewire_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfigVersion.cmake"
                        SOVERSION 5)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPipeWire")
install(EXPORT KPipeWireTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPipeWireTargets.cmake NAMESPACE K::)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPipeWireConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


#################
# Declarative

ecm_add_qml_module(KPipeWireDeclarative URI "org.kde.pipewire" VERSION 1.0)
target_sources(KPipeWireDeclarative PRIVATE kpipewiredeclarativeplugin.cpp)
target_link_libraries(KPipeWireDeclarative PRIVATE KPipeWire Qt::Quick)
ecm_finalize_qml_module(KPipeWireDeclarative DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_add_qml_module(KPipeWireRecordDeclarative URI "org.kde.pipewire.record" VERSION 1.0)
target_sources(KPipeWireRecordDeclarative PRIVATE kpipewirerecorddeclarativeplugin.cpp)
target_link_libraries(KPipeWireRecordDeclarative PRIVATE KPipeWire KPipeWireRecord Qt::Quick)
ecm_finalize_qml_module(KPipeWireRecordDeclarative DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kpipewire (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:41:54 +0000

kpipewire (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:21:46 +0000

kpipewire (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:15:05 +0000

kpipewire (5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:29:24 -0700

kpipewire (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:21:22 +0100

kpipewire (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:51:12 +0200

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                libqt5waylandclient5-dev,
                libswscale-dev,
                libwayland-dev,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                plasma-wayland-protocols (>= 1.9.0~),
                qtbase5-dev,
                qtbase5-private-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## kpipewire 6.1.5

=== debian/changelog ===
kpipewire (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:46 +0100

kpipewire (6.1.4-0ubuntu2) oracular; urgency=medium

  * Update symbols from Ubuntu build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 23:28:27 +0100

kpipewire (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:51 +0100

kpipewire (6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Mark several symbols as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 11:03:20 +0100

kpipewire (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:10 +0200

kpipewire (6.1.0-2) experimental; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jun 2024 06:57:59 +0200

kpipewire (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 12:37:54 +0200

kpipewire (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:20:52 +0200

=== debian/control ===
Source: kpipewire
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libdrm-dev (>= 2.4.62~),
               libegl-dev,
               libegl1-mesa-dev,
               libepoxy-dev (>= 1.3~),
               libgbm-dev,
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libpipewire-0.3-dev,
               libswscale-dev,
               libva-dev,
               libwayland-dev,
               libxkbcommon-dev,
               pipewire-bin,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-wayland-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kpipewire
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
Rules-Requires-Root: no

Package: libkpipewire-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE's Pipewire libraries - data files
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library data files.

Package: libkpipewire-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire6 (= ${binary:Version}),
         libkpipewiredmabuf6 (= ${binary:Version}),
         libkpipewirerecord6 (= ${binary:Version}),
         libpipewire-0.3-dev,
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: KDE's Pipewire libraries - development files
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library development files.

Package: libkpipewire6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewire6 library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewire main library.

Package: libkpipewiredmabuf6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewiredmabuf6
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewiredmabuf library.

Package: libkpipewirerecord6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewirerecord6
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewirerecord library.

Package: qml6-module-org-kde-pipewire
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's Pipewire libraries - QML module
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the QtQuick module.

## kpipewire 6.2.4

=== debian/changelog ===
kpipewire (6.2.4-1+rpi1) trixie-staging; urgency=medium

  * Update symbols file for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 22 Dec 2024 06:20:57 +0000

kpipewire (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:21:59 +0100

kpipewire (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Nov 2024 23:14:35 +0100

kpipewire (6.2.1-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 19:20:39 +0100

kpipewire (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:45:45 +0200

kpipewire (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:41 +0200

kpipewire (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:36 +0200

kpipewire (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update symbols from build for 6.1.4.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
                libavcodec-dev,
                libavfilter-dev,
@@ -37,8 +37,8 @@
                qt6-wayland-dev (>= 6.6.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
 Rules-Requires-Root: no
 
 Package: libkpipewire-data
@@ -58,6 +58,7 @@
          libkpipewiredmabuf6 (= ${binary:Version}),
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
+         qml6-module-org-kde-pipewire (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
@@ -101,7 +102,7 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 6.2.5

=== debian/changelog ===
kpipewire (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:00:11 +0000

kpipewire (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:12 +0000

kpipewire (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.5.0~),
                gettext,
                libavcodec-dev,
@@ -20,8 +20,8 @@
                libegl1-mesa-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6i18n-dev (>= 6.5.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -30,15 +30,15 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
-               qt6-wayland-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-base-private-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.0+dfsg~),
+               qt6-wayland-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
 Rules-Requires-Root: no
 
 Package: libkpipewire-data
@@ -58,8 +58,7 @@
          libkpipewiredmabuf6 (= ${binary:Version}),
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
-         qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.
@@ -102,7 +101,8 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 6.2.90

=== debian/changelog ===
kpipewire (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 04:19:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
                libavcodec-dev,
                libavfilter-dev,
@@ -20,8 +20,8 @@
                libegl1-mesa-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
